<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/transparent"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
        android:id="@+id/card_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/custom_margin"
        card_view:cardBackgroundColor="@color/white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:layout_margin="@dimen/custom_margin2dp">
            <TextView
                android:id="@+id/product_name"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_margin="@dimen/custom_margin2dp"
                android:gravity="center_vertical"
                android:padding="@dimen/custom_margin"
                android:text="Balaji Tele Communication"
                android:textColor="@color/black"
                android:textSize="@dimen/txt_size_14sp"
                android:textStyle="normal" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_margin="@dimen/custom_margin"
                android:visibility="gone"
                android:weightSum="10">
                <TextView
                    android:id="@+id/quantity"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_margin="@dimen/custom_margin2dp"
                    android:layout_weight="3"
                    android:gravity="center_vertical"
                    android:padding="@dimen/custom_margin"
                    android:text="QTY : 3"
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_size_14sp"
                    android:textStyle="normal" />

                <TextView
                    android:id="@+id/rate_text"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="@dimen/custom_margin2dp"
                    android:layout_weight="3.5"
                    android:gravity="center"
                    android:padding="@dimen/custom_margin"
                    android:text="Rate : 100"
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_size_14sp"
                    android:textStyle="normal" />

                <TextView
                    android:id="@+id/total_text"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center|right"
                    android:layout_margin="@dimen/custom_margin2dp"
                    android:layout_weight="3.5"
                    android:gravity="center|right"
                    android:padding="@dimen/custom_margin"
                    android:text="Total : 300"
                    android:textColor="@color/black"
                    android:textSize="@dimen/txt_size_14sp"
                    android:textStyle="normal" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/margin1dp"
                android:layout_margin="@dimen/custom_margin2dp"
                android:background="@color/gray"/>

            <androidx.recyclerview.widget.RecyclerView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/custom_margin"
                android:id="@+id/promo_recyl"/>
        </LinearLayout>
    </androidx.cardview.widget.CardView>
</LinearLayout>